package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.openxma.dsl.reference.dto.OrderStateView;

public abstract class CustomerOrderViewGen implements Serializable {
	private static final long serialVersionUID = 452911488;
	protected String oid;
	protected String firstName;
	protected String lastName;
	protected Date birthDate;
	protected String emailAddress;
	protected List<OrderStateView> orders;
	
	public String getOid() {
        return this.oid;
    }
	
	public void setOid(String oid) {
        this.oid=oid;
    }
	
	public String getFirstName() {
        return this.firstName;
    }
	
	public void setFirstName(String firstName) {
        this.firstName=firstName;
    }
	
	public String getLastName() {
        return this.lastName;
    }
	
	public void setLastName(String lastName) {
        this.lastName=lastName;
    }
	
	public Date getBirthDate() {
        return this.birthDate;
    }
	
	public void setBirthDate(Date birthDate) {
        this.birthDate=birthDate;
    }
	
	public String getEmailAddress() {
        return this.emailAddress;
    }
	
	public void setEmailAddress(String emailAddress) {
        this.emailAddress=emailAddress;
    }
	
	public List<OrderStateView> getOrders() {
        return this.orders;
    }
	
	public void setOrders(List<OrderStateView> orders) {
        this.orders=orders;
    }
    
    public void addOrders(OrderStateView orders) {
		if (orders == null) {
			throw new IllegalArgumentException("parameter 'orders' must not be null");
		}
		if (getOrders() == null) {
			this.orders = new ArrayList<OrderStateView>();
		}
		this.orders.add(orders);
	}
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("CustomerOrderView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("firstName=").append(getFirstName()).append(",");
        toStringBuilder.append("lastName=").append(getLastName()).append(",");
        toStringBuilder.append("birthDate=").append(getBirthDate()).append(",");
        toStringBuilder.append("emailAddress=").append(getEmailAddress());
        return toStringBuilder.append("]").toString();
    }
}
