package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import org.openxma.dsl.reference.dto.SpOutCustomer;

public abstract class SpResultDtoWithNestedCollectionGen implements Serializable {
	private static final long serialVersionUID = 815750109;
	protected Integer countRows;
	protected List<SpOutCustomer> customers;
	
	public Integer getCountRows() {
        return this.countRows;
    }
	
	public void setCountRows(Integer countRows) {
        this.countRows=countRows;
    }
	
	public List<SpOutCustomer> getCustomers() {
        return this.customers;
    }
	
	public void setCustomers(List<SpOutCustomer> customers) {
        this.customers=customers;
    }
    
    public void addCustomers(SpOutCustomer customers) {
		if (customers == null) {
			throw new IllegalArgumentException("parameter 'customers' must not be null");
		}
		if (getCustomers() == null) {
			this.customers = new ArrayList<SpOutCustomer>();
		}
		this.customers.add(customers);
	}
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("SpResultDtoWithNestedCollection [");
        toStringBuilder.append("countRows=").append(getCountRows());
        return toStringBuilder.append("]").toString();
    }
}
